Bug 56728 - TypeError: illegal argument type for built-in operation
TypeError: illegal argument type for built-in operation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-26 11:12 EST by Need Real Name
Modified: 2015-01-07 18:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-04 23:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-26 11:12:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
Attempting to update kernel using up2date in 7.1, I get the above message.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Type up2date -u
2. Wait

	

Actual Results:  [root@quickie-new root]# up2date -u

Retrieving list of all available packages...

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
Retrieving selected packages...
kernel:                     ########################## Done.
kernel-doc:                 ########################## Done.
kernel-headers:             ########################## Done.
kernel-source:              ########################## Done.
Preparing...                ########################################### 
[100%]
Traceback (innermost last):
  File "/usr/sbin/up2date", line 831, in ?
    main()
  File "/usr/sbin/up2date", line 806, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 589, in batchRun
    kernelsToInstall = up2date.installPackages(selPkgList, rpmCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 2158, in installPackages
    error = errors + e + "\n"
TypeError: illegal argument type for built-in operation
[root@quickie-new root]#

Expected Results:  The kernel and associated packages should have been 
installed

Additional info:

I have installed all errata, with the kernel excepted using "kernel*" in 
the exception list for packages.  I was attempting to install the kernel.  
I cleared the package exception list and typed the command as shown 
above.  It has failed twice in exactly the same way.

I would like to get all security fixes installed. I am installing this 
errata to fix Security Advisory - RHSA-2001:129-08.  Since this is a bug 
that is keeping me from installing a security fix, I assume it is a 
security issue.

up2date -l returns:
Name                                    Version        Rel
--------------------------------------------------------------
kernel                                  2.4.9          12
kernel-doc                              2.4.9          12
kernel-headers                          2.4.9          12
kernel-source                           2.4.9          12

[root@quickie-new root]# rpm -q kernel kernel-doc kernel-headers kernel-
source
kernel-2.4.2-2
kernel-2.4.3-12
kernel-doc-2.4.3-12
kernel-headers-2.4.3-12
kernel-source-2.4.3-12
[root@quickie-new root]# df -m
Filesystem      1M-blocks      Used Available Use% Mounted on
/dev/hda1                 2420      2189       106  96% /
/dev/hda5                  972       871        51  95% /home
/dev/hda6                 1199       639       498  57% /var
[root@quickie-new root]# rpm -q up2date
up2date-2.5.4-1
[root@quickie-new root]#

According to the on-site doc, this level of up2date should be able to 
install a kernel.  Is that not true?
Comment 1 Adrian Likins 2001-12-03 11:59:35 EST
Two things happening here. The kernel is failing to install
for some reason (typically, I've seen this happen when there
isnt enough space on /boot).

The other thing that is happening is that the error handling
code for this case is buggy and masking the real problem.

Both of these issues should be fixed in the next version 
of the client.
Comment 2 Need Real Name 2001-12-04 23:47:50 EST
After getting your response, I decided to try to manually install the RPMs to 
see what, if anything, was the issue.  I downloaded them with up2date and 
installed them with rpm.  Unless it had a problem making updates 
to /etc/lilo.conf, I can't figure it out, things went just fine, and I am 
running the system on the new kernel now.  I had 100 MB free in / and no 
separate /boot, so I doubt space was the problem.

So I am out of luck with reproducing this problem anymore.  You can feel free 
to close it, far as I'm concerned, unless there is something else you want from 
me regarding documentation.  Or you can leave it open to track the issue until 
you fix it.

Note You need to log in before you can comment on or make changes to this bug.